<?php

/**
 * 前台 填写酒店订单信息 模块 Controller
 * ============================================================================
 * ZhunaCMS 住哪网酒店分销联盟程序php版　BY Tmac PHP MVC framework
 * $Author: zhangwentao $  <zwttmac@qq.com>
 * $Id: ebook.php 41 2011-12-01 06:58:03Z zhangwentao $
 * http://un.zhuna.cn；
 */
class teamsinfoAction extends Action
{

    private $tmp_model;
    private $hotelinfo_model;
    private $common_model;

    /**
     * _init 方法 在执行任何Action前执行
     */
    public function _init()
    {
        $this->assign('action', $_GET['TMAC_ACTION']);
        $this->assign('method',$_GET['TMAC_CONTROLLER']);
        $this->tmp_model = Tmac::model('teams');
        $this->common_model = Tmac::model('common');
        $this->hotel_left_model = Tmac::model('hotelLeft');
        
        //footer里的相关设置
        $config_footer = $this->common_model->footer();
        $this->assign($config_footer);
    }

    /**
     * 团购详情
     */
    public function index()
    {
    	 
        $id = isset($_GET['id']) ? $_GET['id'] : $_GET['id'];
        $info = $this->tmp_model->getTeams($id);
        $city = $this->hotel_left_model->getCityinfo();
    	$this->assign('info',$info);
        $this->V('teamsinfo');
    }

}